FactoryBot.define do
  factory :applicant, class: Sis::Core::Applicant do
    first_name { FFaker::Name.name }
    middle_name { FFaker::Name.name }
    last_name { FFaker::Name.name }
    password { FFaker::Name.name }
    email { FFaker::Internet.email }
    primary_phone_number { FFaker::PhoneNumber.phone_number }
    alternative_telephone_number { FFaker::PhoneNumber.phone_number }
    date_of_birth { '2000-10-05' }
    gender { FFaker::Gender.binary }
    nationality { FFaker::Name.name }
    address { FFaker::Address.city }
    photo_url { FFaker::Name.name }
  end
end
