FactoryBot.define do
  factory :course, class: 'Sis::Core::Course' do
    code { FFaker::Name.name }
    title { FFaker::Name.name }
    description { FFaker::Lorem.paragraph }
    credit_hours { FFaker::Random.rand(1..4) }
    ects { FFaker::Random.rand(1..10) }
    lecture_hours { FFaker::Random.rand(1..4) }
    lab_hours { FFaker::Random.rand(1..4) }
    has_lab { true }
    has_tutorial { false }
    maximum_class_size { 40 }
  end
end
