FactoryBot.define do
  factory :student, class: 'Sis::Core::Student' do
    student_id { FFaker::Name.name }
    date_of_birth { Date.new(2000, 1, 1) }
    nationality { FFaker::Name.name }
    association :user
    association :level
    association :semester
    association :entry
    association :programme
    association :programme_level
    association :programme_type
    association :advisor, factory: :instructor
  end
end
